package com.ruoyi.cs.service;

import java.util.List;
import com.ruoyi.cs.domain.CsClass;
import com.ruoyi.cs.domain.vo.CsClassVO;

/**
 * 分类类别Service接口
 * 
 * @author ruoyi
 * @date 2024-04-26
 */
public interface ICsClassService 
{
    /**
     * 查询分类类别
     * 
     * @param classId 分类类别主键
     * @return 分类类别
     */
    public CsClass selectCsClassByClassId(String classId);

    /**
     * 查询分类类别列表
     * 
     * @param csClass 分类类别
     * @return 分类类别集合
     */
    public List<CsClass> selectCsClassList(CsClass csClass);

    /**
     * 新增分类类别
     * 
     * @param csClass 分类类别
     * @return 结果
     */
    public int insertCsClass(CsClass csClass);

    /**
     * 修改分类类别
     * 
     * @param csClass 分类类别
     * @return 结果
     */
    public int updateCsClass(CsClass csClass);

    /**
     * 批量删除分类类别
     * 
     * @param classIds 需要删除的分类类别主键集合
     * @return 结果
     */
    public int deleteCsClassByClassIds(String[] classIds);

    /**
     * 删除分类类别信息
     * 
     * @param classId 分类类别主键
     * @return 结果
     */
    public int deleteCsClassByClassId(String classId);

    /**
     * 查询分类类别列表By分类
     *
     * @param classMark 分类类别
     * @return 分类类别集合
     */
    public List<CsClassVO> selectCsClassListByClassMark(String classMark);
}
